weixin_39700625
weixin_39700625
2021-01-08 07:30

installing luci on ubuntu

i am so sorry for a question.i want to install luci on ubunu for instantly programming and debugging ,and i download luci source code into my folder, next i cd luci ,tap "make runuhttpd",then the trouble shows! im so sorry! because of svn service stopping,but some code is needed to be downloaded from svn,i am upset. im thankful who knowns the solution!

make[1]: Leaving directory /home/fanxiangqiang/luci/luci-luci-0.12/contrib/uci' make[1]: Entering directory/home/fanxiangqiang/luci/luci-luci-0.12/contrib/uhttpd' svn co svn://svn.openwrt.org/openwrt/branches/backfire/package/uhttpd/src uhttpd-src svn: E000111: Unable to connect to a repository at URL 'svn://svn.openwrt.org/openwrt/branches/backfire/package/uhttpd/src' svn: E000111: Can't connect to host 'svn.openwrt.org': Connection refused make[1]: [uhttpd-src/Makefile] Error 1 make[1]: Leaving directory `/home/fanxiangqiang/luci/luci-luci-0.12/contrib/uhttpd' Compilation of contrib/uhttpd failed!

该提问来源于开源项目:openwrt/luci

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

8条回答

  • S852509769 S852509769 1月前

    do you solve the problem finally,now i  encounter the same question.can you tell me the solution。

    点赞 评论 复制链接分享
  • weixin_39700625 weixin_39700625 3月前

    eee

    点赞 评论 复制链接分享
  • weixin_39765325 weixin_39765325 3月前

    You are looking at old ancient unsupported version of Luci (luci-0.12). there is no more svn server etc.

    I am not sure if that kind of separate installation is supported, any more.

    点赞 评论 复制链接分享
  • weixin_39700625 weixin_39700625 3月前

    Dose it mean i cannot install luci on my ubuntu! ......,i will try it once more

    点赞 评论 复制链接分享
  • weixin_39795479 weixin_39795479 3月前

    Luci needs OpenWrt uci. There're no bindings for uci in ubuntu.

    点赞 评论 复制链接分享
  • weixin_39893042 weixin_39893042 3月前

    You can work with LEDE + LuCI on VirtualBox, I guess.

    点赞 评论 复制链接分享
  • weixin_39765325 weixin_39765325 3月前

    I close this, as basically LuCI is not meant to be run outside the Openwrt/LEDE environment. It is tightly tied to that.

    点赞 评论 复制链接分享
  • weixin_39756416 weixin_39756416 3月前

    i am so sorry for a question.i want to install luci on ubunu for instantly programming and debugging ,and i download luci source code into my folder, next i cd luci ,tap "make runuhttpd",then the trouble shows! im so sorry! because of svn service stopping,but some code is needed to be downloaded from svn,i am upset. im thankful who knowns the solution!

    make[1]: Leaving directory /home/fanxiangqiang/luci/luci-luci-0.12/contrib/uci' make[1]: Entering directory/home/fanxiangqiang/luci/luci-luci-0.12/contrib/uhttpd' svn co svn://svn.openwrt.org/openwrt/branches/backfire/package/uhttpd/src uhttpd-src svn: E000111: Unable to connect to a repository at URL 'svn://svn.openwrt.org/openwrt/branches/backfire/package/uhttpd/src' svn: E000111: Can't connect to host 'svn.openwrt.org': Connection refused make[1]: [uhttpd-src/Makefile] Error 1 make[1]: Leaving directory `/home/fanxiangqiang/luci/luci-luci-0.12/contrib/uhttpd' Compilation of contrib/uhttpd failed!

    brother did you found the solution on this issue?

    点赞 评论 复制链接分享